Summary: Kernel module management utilities.
Name: module-init-tools
Version: 3.2
Release: b1
License: GPL
Group: System Environment/Kernel
Source: http://ftp.kernel.org/pub/linux/utils/kernel/module-init-tools/%{name}-%{version}.tar.bz2
Source2: modprobe.conf.dist
Patch1: module-init-tools-allconf.patch
Exclusiveos: Linux
Prereq: /sbin/chkconfig sh-utils
Obsoletes: modules modutils-devel modutils
Provides: modutils = %{version}
##BuildPrereq: zlib-devel docbook-utils
BuildPrereq: zlib-devel
BuildRoot: %{_tmppath}/%{name}-root

BuildArchitectures: i586

%description
The modutils package includes various programs needed for automatic
loading and unloading of modules under 2.2 and later kernels, as well
as other module management programs. Device drivers and filesystems
are two examples of loaded and unloaded modules.

%prep
%setup -q -n module-init-tools-%{version}
%patch1 -p1 -b .dist

%build
export CFLAGS="-Os -g -DCONFIG_NO_BACKWARDS_COMPAT=1"
%configure --enable-zlib
make insmod.static
cp insmod.static insmod-static


export CC=gcc
export CFLAGS="$RPM_OPT_FLAGS -DCONFIG_NO_BACKWARDS_COMPAT=1"

make distclean

%configure --enable-zlib
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

install -m 755 generate-modprobe.conf \
 $RPM_BUILD_ROOT/sbin

#install -m 644 modprobe.d.5 \
# $RPM_BUILD_ROOT/%{_mandir}/man5

mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/modprobe.d/modprobe.conf.dist

find $RPM_BUILD_ROOT/sbin/ -name '*.static' -exec rm {} \;

mv $RPM_BUILD_ROOT/%{_bindir}/lsmod $RPM_BUILD_ROOT/sbin

install -m 755 insmod-static $RPM_BUILD_ROOT/sbin/insmod.static

%clean
rm -rf $RPM_BUILD_ROOT

%post
# get rid of the old installations on upgrade
if [ -x /etc/rc.d/init.d/kerneld ] ; then
    /sbin/chkconfig --del kerneld
fi
if [ -f /etc/conf.modules -a ! -f /etc/modules.conf ] ; then
   mv -f /etc/conf.modules /etc/modules.conf
fi
if [ -f /etc/modules.conf -a ! -f /etc/modprobe.conf ] ; then
   echo "# Note: for use under 2.4, changes must also be made to modules.conf!" >/etc/modprobe.conf
   /sbin/generate-modprobe.conf --stdin < /etc/modules.conf >> /etc/modprobe.conf 2>/dev/null
   chmod 644 /etc/modprobe.conf
   echo "# Note: for use under 2.6, changes must also be made to modprobe.conf!" >> /etc/modules.conf
fi

%files
%defattr(-,root,root)
/etc/modprobe.d
/sbin/*
%{_mandir}/*/*

%changelog
* Mon Aug 15 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
